Robotics Service Bus - Enhancement #967
Error message for missing transports is uninformative
03/20/2012 09:52 AM - I. Liitkebohle

Status: Resolved Start date: 03/20/2012
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7

Description

Without a .config/rsb.conf, | get the following message when calling createlnformer:

ValueError: No transports specified (config is ParticipantConfig[[] {}])

I'd say that is not particularly helpful for someone who doesn't know that RSB has different transports, and needs them configured. |
would recommend pointing them to a page of documentation with configuration tips or the like.

Related issues:
Related to Robotics Service Bus - Feature # 1139: Reference documentation in ... In Progress  04/13/2014

History

#1 - 03/20/2012 10:03 AM - J. Wienke
- Category set to Python

Which version are you using? Do you have a short test case for this? Usually there is a default configuration with spread (no need for a config file) so it

might be related to the remaining things you are doing.

#2 - 04/19/2012 04:58 PM - J. Wienke
- Status changed from New to Feedback

ping?

#3 - 06/22/2012 03:39 PM - J. Wienke

- Status changed from Feedback to Resolved
- Assignee set to J. Wienke

- Target version set to rsb-0.7

- % Done changed from 0 to 100

It seems there really was no default transport so far. We have now decided to make the socket process the default and this is coded. So users should
only see this warning now if they explicitly disable everything using the configuration mechanism (and in that case they probably have found
documentation for the configuration). Reopen if still an issue for you.
